Category:  Estimated time: 0.00 hour

Target version:    

Description

When trying to make a joint fit to simulated LAT and CTA data, I found that the optimization process is rather sensitive to initial

values of the parameters. In the only case tested so far, the source model is composed of the extragalactic isotropic diffuse emission

(LAT only), the instrumental background (CTA only), and a point source at the position of the LMC (both instruments). When the

intensity of the extragalactic diffuse is initially set at about 10 times its true value, the fit ends correctly but with incorrect estimates for

the parameters of the point source and extragalactic diffuse. If the true value is used as initial guess, everything goes fine. This is

illustrated in the two attached ctlike log files.

Things to try or correct:

1- What if we relax the boundaries on the parameters ? Maybe the way to the optimum when starting from too far needs to go

through presently forbidden values...

2- Could be an idea to implement seom global rescaling of the parameters values before entering the iterative optimization process,

in order to have Nobs ~ Nmodel.

History

#1 - 03/29/2013 04:34 PM - Martin Pierrick

- File ctlike-nobounds.log added

I tested rapidly the idea of relaxing the boundaries on the parameters and it does not seem to help. Attached a new ctlike log file corresponding to a

run where spectral prefactors and indices were allowed to wander over much larger parameter space.

#2 - 10/30/2014 12:28 PM - Knödlseder Jürgen

- Priority changed from Normal to High

- Target version set to 1.0.0

We should investigate and settle this before getting version 1.0.0 out. In the worst case, things need to be documented to guide the user in how to

deal with that problem.

#3 - 06/30/2015 11:48 AM - Knödlseder Jürgen

- Assigned To set to Martin Pierrick

#4 - 10/30/2015 12:19 AM - Knödlseder Jürgen

- Priority changed from High to Low

- Target version deleted (1.0.0)

There hasn't been any follow-up action on this since years, meaning that nobody feels really concerned about that. I propose to keep the action but

remove this from the target 1.0 release so that it does not block the release.

Files

ctlike.log 19.1 KB 03/29/2013 Martin Pierrick

ctlike-egbx10.log 27.5 KB 03/29/2013 Martin Pierrick

ctlike-nobounds.log 22.1 KB 03/29/2013 Martin Pierrick
